/* =================================================================================================

(c - MIT) T.W.J. de Geus (Tom) | tom@geus.me | www.geus.me | github.com/tdegeus/cppmat

================================================================================================= */

#ifndef CPPMAT_MAP_REGULAR_VECTOR_HPP
#define CPPMAT_MAP_REGULAR_VECTOR_HPP

// -------------------------------------------------------------------------------------------------

#include "cppmat.h"

// -------------------------------------------------------------------------------------------------

namespace cppmat {
namespace view {

// =================================================================================================
// constructors
// =================================================================================================

template<typename X, size_t N>
inline
vector<X,N>::vector() : cppmat::view::array<X,1,N>()
{
}

// =================================================================================================
// constructors: map external pointer
// =================================================================================================

template<typename X, size_t N>
inline
vector<X,N>::vector(const X *A) : cppmat::view::array<X,1,N>(A)
{
}

// =================================================================================================
// named constructors
// =================================================================================================

template<typename X, size_t N>
inline
vector<X,N> vector<X,N>::Map(const X *D)
{
  vector<X,N> out;

  out.setMap(D);

  return out;
}

// =================================================================================================

}} // namespace ...

// -------------------------------------------------------------------------------------------------

#endif

